> ## Documentation Index
> Fetch the complete documentation index at: https://eximpe.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Settlements

> Retrieve a list of settlements.



## OpenAPI

````yaml openapi.json get /pg/settlements
openapi: 3.0.0
info:
  title: Eximpe Payment Gateway API
  description: >-
    API for payment processing and order management through Eximpe payment
    gateway
  license:
    name: Proprietary
  version: 1.0.0
servers:
  - url: https://api-staging.eximpe.com
    description: Staging server
  - url: https://api.eximpe.com
    description: Production server
security:
  - clientAuth: []
    clientSecretAuth: []
paths:
  /pg/settlements:
    get:
      tags:
        - Settlements
      summary: List Settlements
      description: Retrieve a list of settlements with optional filtering.
      parameters:
        - name: from_date
          in: query
          description: 'Filter settlements from this date. Format: YYYY-MM-DD.'
          schema:
            type: string
            format: date
        - name: to_date
          in: query
          description: 'Filter settlements up to this date. Format: YYYY-MM-DD.'
          schema:
            type: string
            format: date
      responses:
        '200':
          description: A paginated list of settlements.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListSettlementsResponse'
              example:
                success: true
                message: Settlements fetched successfully
                data:
                  settlement_id: ST4353980017
                  utr_number: 092dc30a-4f19-4318-9798-ad08b48801f6
                  settlement_completed_date: '2025-06-20T08:06:59.293548Z'
                  forex_rate_cents: 8600
                  settlement_amount_cents: 100000
                  settlement_currency: USD
                  transactions:
                    - settlement_type: capture
                      transaction_id: PR3828502708
                      transaction_amount: 1000
                      merchant_service_fee: 0
                      merchant_service_tax: 0
                      merchant_net_amount: 1000
                      mop_type: UPI
                      transaction_currency: INR
                      forex_rate: 86
      security:
        - clientAuth: []
          clientSecretAuth: []
components:
  schemas:
    ListSettlementsResponse:
      type: object
      properties:
        count:
          type: integer
        page:
          type: integer
        page_size:
          type: integer
        next:
          type: string
          format: uri
          nullable: true
        previous:
          type: string
          format: uri
          nullable: true
        results:
          type: array
          items:
            $ref: '#/components/schemas/SettlementInList'
    SettlementInList:
      type: object
      properties:
        settlement_id:
          type: string
        utr_number:
          type: string
        settlement_completed_date:
          type: string
          format: date-time
        forex_rate:
          type: number
          format: float
        settlement_amount:
          type: number
          format: float
        settlement_currency:
          type: string
  securitySchemes:
    clientAuth:
      type: apiKey
      name: X-Client-ID
      in: header
      description: Client app ID. You can find your app id in the merchant dashboard.
    clientSecretAuth:
      type: apiKey
      name: X-Client-Secret
      in: header
      description: Client secret key. You can find your secret in the merchant dashboard.

````